Nginx Admin (Stable version) v2.6 released

Nginx Admin (Stable version) v2.6 released

Nginx Admin (Stable version) v2.6 I am pleased to announce the release of Nginx Admin (Stable Version) v2.6.

Changelog:

Below is a detailed list of all the changes in this release:

1- Feature: Based on nginx 1.0.4 Stable See this link for more details( http://nginx.org/en/CHANGES )

2- New script added /scripts/rebuildvhosts

3- Installer updated for cPanel 11.30

Install Instructions can be found at http://nginxcp.com/forums/Thread-nginx-admin-stable-version-v2-6-released

Note:

As Its a major release so if you have previously installed the any version of the nginx, please uninstall and then perform the installation.

Support: If you need and help, if you find any bug or want a new feature please post your issue in related forum.

Please donate us to continue development and stay alive this free project.

You can donate us via AlerPay, Moneybookers, and Bank Trasfer (USA only)

Incoming search terms:

  • SyntaxError: yield not allowed in a try block with a finally clause
  • SyntaxError: \yield\ not allowed in a \try\ block with a \finally\ clause
  • File /usr/lib/python2 4/site-packages/PyYAML-3 10-py2 4-linux-x86_64 egg/yaml/__init__ py line 26
  • uninstall nginx
  • uninstall nginx cpanel
  • nginxcp ImportError: No module named yaml
  • desinstalar nginx
  • File /scripts/createvhosts py line 2 in ?
  • CPANEL nginx UNİNSTALL
  • nginx admin

15 comments

  • Pingback: Nginx Admin (Stable version) v2.6 released | SabDesi - entertainment

  • JP Smith

    Hi. I am seeing the following error when I run the installer:

    ———————————————————————————-

    Traceback (most recent call last):
    File “/scripts/createvhosts.py”, line 2, in ?
    import yaml
    File “/usr/lib/python2.4/site-packages/PyYAML-3.10-py2.4-linux-x86_64.egg/yaml/__init__.py”, line 26
    SyntaxError: ‘yield’ not allowed in a ‘try’ block with a ‘finally’ clause
    Installing WHM interface…
    deploying booster rockets
    Traceback (most recent call last):
    File “/usr/local/src/publicnginx/nginxinstaller2”, line 9, in ?
    import createvhosts
    File “/usr/local/src/publicnginx/createvhosts.py”, line 2, in ?
    import yaml
    File “/usr/lib/python2.4/site-packages/PyYAML-3.10-py2.4-linux-x86_64.egg/yaml/__init__.py”, line 26
    SyntaxError: ‘yield’ not allowed in a ‘try’ block with a ‘finally’ clause

    ————————————————————————————–
    Thanks for the help!

  • I have ready install last version,but my server is height load than old apache .Can you fix this issue .

  • Seems to require Python 2.6 now so might be worth mentioning this.
    Even after installing python 2.6 and setting “#!/usr/bin/env python26” in installer scripts, the following error occurs:

    /usr/local/src/publicnginx
    Welcome to the Nginx Admin installer……Starting Install
    Generating vhosts…
    Traceback (most recent call last):
    File “/scripts/createvhosts.py”, line 2, in
    import yaml
    ImportError: No module named yaml
    Installing WHM interface…
    deploying booster rockets
    Traceback (most recent call last):
    File “/usr/local/src/publicnginx/nginxinstaller2”, line 9, in
    import createvhosts
    File “/usr/local/src/publicnginx/createvhosts.py”, line 2, in
    import yaml
    ImportError: No module named yaml

  • Getting the same on a customer VPS installation as well on the latest edition..

  • cPanel does not upgrade Python to 2.6 even with upcp –force (while Python it set to “Inherit” in update preferences).
    Why suddenly does this require a non-supported version of Python?

  • David

    Having the same issue here:

    Welcome to the Nginx Admin installer……Starting Install
    Generating vhosts…
    Traceback (most recent call last):
    File “/scripts/createvhosts.py”, line 2, in ?
    import yaml
    File “/usr/lib/python2.4/site-packages/PyYAML-3.10-py2.4-linux-x86_64.egg/yaml/__init__.py”, line 26
    SyntaxError: ‘yield’ not allowed in a ‘try’ block with a ‘finally’ clause
    Installing WHM interface…
    deploying booster rockets
    Traceback (most recent call last):
    File “/usr/local/src/publicnginx/nginxinstaller2”, line 9, in ?
    import createvhosts
    File “/usr/local/src/publicnginx/createvhosts.py”, line 2, in ?
    import yaml
    File “/usr/lib/python2.4/site-packages/PyYAML-3.10-py2.4-linux-x86_64.egg/yaml/__init__.py”, line 26
    SyntaxError: ‘yield’ not allowed in a ‘try’ block with a ‘finally’ clause

  • Mohammad

    Welcome to the Nginx Admin installer……Starting Install
    Generating vhosts…
    Traceback (most recent call last):
    File “/scripts/createvhosts.py”, line 2, in ?
    import yaml
    File “/usr/lib/python2.4/site-packages/PyYAML-3.10-py2.4-linux-i686.egg/yaml/__init__.py”, line 26
    SyntaxError: ‘yield’ not allowed in a ‘try’ block with a ‘finally’ clause
    Installing WHM interface…
    deploying booster rockets
    Traceback (most recent call last):
    File “/usr/local/src/publicnginx/nginxinstaller2”, line 9, in ?
    import createvhosts
    File “/usr/local/src/publicnginx/createvhosts.py”, line 2, in ?
    import yaml
    File “/usr/lib/python2.4/site-packages/PyYAML-3.10-py2.4-linux-i686.egg/yaml/__init__.py”, line 26
    SyntaxError: ‘yield’ not allowed in a ‘try’ block with a ‘finally’ clause

  • the same issue and with me:

    root@urt [/usr/local/src/publicnginx]# ./nginxinstaller install
    /usr/local/src/publicnginx
    Welcome to the Nginx Admin installer……Starting Install
    Generating vhosts…
    Traceback (most recent call last):
    File “/scripts/createvhosts.py”, line 2, in ?
    import yaml
    File “/usr/lib/python2.4/site-packages/PyYAML-3.10-py2.4-linux-i686.egg/yaml/__init__.py”, line 26
    SyntaxError: ‘yield’ not allowed in a ‘try’ block with a ‘finally’ clause
    Installing WHM interface…
    deploying booster rockets
    Traceback (most recent call last):
    File “/usr/local/src/publicnginx/nginxinstaller2”, line 9, in ?
    import createvhosts
    File “/usr/local/src/publicnginx/createvhosts.py”, line 2, in ?
    import yaml
    File “/usr/lib/python2.4/site-packages/PyYAML-3.10-py2.4-linux-i686.egg/yaml/__init__.py”, line 26
    SyntaxError: ‘yield’ not allowed in a ‘try’ block with a ‘finally’ clause
    root@urt [/usr/local/src/publicnginx]#

  • Claudiu

    Same problem for nginxcp 1.9, I guess that something changed in python recently?
    Any solution to this problem?

  • JP Smith

    Hi, All.

    Here’s how I got this one working.

    1. First, you need an upgraded version of Python. I used version 2.7. For Centos, since I didn’t want to break yum, I installed it alongside my existing python install. I download and extracted my new Python package, proceeded to cd into the extracted directory and ran:
    -make
    -make altinstall (this keeps it from trashing the version of Python you’ll need for YUM)

    2. I downloaded PyYAML(http://pyyaml.org/), extracted it, proceeded to cd into the extracted directory and ran python2.7 setup.py install

    3. In the publicnginx directory, I edited the following three files: createvhosts.py, nginxinstaller and nginxinstaller2. I changed the first line from #!/usr/bin/env python to #!/usr/bin/env python2.7

    After that, I ran ./nginxinstaller install and the install completed sucessfully.

  • You have to upgrade the Python follow command:

    cd /usr/local/src
    wget http://python.org/ftp/python/2.5.6/Python-2.5.6.tgz
    tar -zxvf Python-2.5.6.tgz
    cd Python-2.5.6
    ./configure
    make
    make install

    After that, the installer should be run well.

  • k

    nginx 1.05 released!

  • Pingback: Install Nginx on WHM 11.30.x system « TAUJAGO.WEB.ID [ Share IT Knowledge ]

Leave a Reply

Your email address will not be published. Required fields are marked *


*